# 哈斯克尔和斯卡拉的区别

> 原文:[https://www . geeksforgeeks . org/difference-better-haskell-and-Scala/](https://www.geeksforgeeks.org/differnece-between-haskell-and-scala/)

**Haskell** 是一种通用编程语言，规范化，具有纯粹的实用编程特性。它是由**伦纳特·奥古斯森、约翰·休斯、保罗·胡达克、约翰·劳恩伯里、西蒙·佩顿·琼斯、菲利普·瓦德勒和埃里克·梅耶尔开发和构建的。**其构成规律强、静态、建构，无严格语义。它是根据第 3 条 BSD 许可证授权的。它的特点是懒惰、松散和模块化编程。有些方言已经存在了几年，但它们只为主要的显性群体所知，而其他方言对这些体面的特征一无所知。它的文件扩展名是。hs 或。lhs 并支持跨平台框架。

![Haskell-vs-Scala](img/f4aab1dd9aa9dbd04656f8df3ba8b9ba.png)

**哈斯克尔的特点:**

1.  **纯函数:**哈斯克尔中的函数是数学意义上的(即“纯”)。即使是副作用的输入输出操作也是由纯代码交付的操作的写照。没有指导方针，只有表达式，不能变异变量(局部或全局)也不能访问状态，如时间或随机数。
2.  **懒惰:** Haskell 具有懒惰评价的首要特征。它同样被称为“按需调用”，这是一种策略，在这种策略中，开发人员可以推迟对表达式的评估，直到需要或要求它的值。它有助于避免重复评估，增强共享，从而减少函数的执行时间。
3.  **包:** Haskell 是开源的，在公共服务器上有各种各样的包。例如，base、parsec 等。
4.  **静态类型:**在 Haskell 中，每个表达式的类型都是在编译时确定的。由函数应用程序组合在一起的所有类型都需要协调或匹配。万一它们不匹配，程序将被编译器取消。
5.  **类型推断:**类型类是哈斯克尔中最令人印象深刻的特性，它允许描述泛型接口的特征。它们是给出不同类型特征的典型列表的好主意。像质量、测试和数字操作符这样的特性利用了类型类。

[**Scala**](https://www.geeksforgeeks.org/scala-programming-language/) 代表**可伸缩语言**，寓意其意在随用户需求而增长。Scala 是一种支持函数式编程方法的通用、高级、多范式编程语言。它是一种纯面向对象的编程语言。它设计得很简洁，并且有一个静态类型框架。Scala 程序可以转换成字节码，并且可以在 JVM (Java 虚拟机)上运行。它还提供了 Javascript 运行时。Scala 编程具有许多函数式语言的特性，如 Scheme、标准 ML 和 Haskell、Lisp 等。

**斯卡拉特色:**

1.  **Functional:** 它也是一种函数式编程语言，因为每个函数都是一个值，每个值都是一个对象。它支持高阶函数、嵌套函数、匿名函数等。
2.  **类型推断:**在 Scala 中，不需要明确提到数据类型和函数返回类型，它会自动推导出数据的类型。函数的返回类型由函数中最后一个表达式的类型来估计。
3.  **不变性:** Scala 使用不变性思想，其中每个声明的变量都是不可变的，这是理所当然的。不可变意味着你不能修改它的值。不可变数据有助于管理需要管理数据的并发控制。此外，我们可以创建可变变量，其值可以改变。
4.  **面向对象:**Scala 中的每个值都是一个对象，所以它是一种纯面向对象的编程语言。Scala 中的类和特性描述了对象的行为和类型。
5.  **在 JVM 上运行&可以执行 Java 代码:** Java 和 Scala 有一个共同的运行时环境。因此用户可以很容易地从 Java 转移到 Scala。Scala 编译器将程序编译成。类文件，包含可以由 JVM 执行的字节码。

### 哈斯克尔 vs 斯卡拉

**哈斯克尔和斯卡拉的区别**T2】

<figure class="table">

| 基于 | HASKELL | 斯卡拉 |
| **定义** | 它是一种具有纯编程特性的通用编程语言。 | 它也是一种通用编程语言，是函数式编程的基础。 |
| **编译模型** | 它有一个编译模型作为格拉斯哥哈斯克尔编译(GHC)模型。 | Scala 中的编译模型类似于 C++和 Java 的编译模型。 |
| **语法** | Haskell 中的语法简单，功能简单，并且是字符串类型。 | Scala 有复杂的语法和复杂的特性。 |
| **功能** | Haskell 具有引用透明性，它的函数是纯标准的第一类函数。 | Scala 不保证引用透明性，也没有纯粹的特性。 |
| **文件** | Haskell 为文档提供离线支持和即时搜索。 | 它提供了包含所有功能编程特性的深度文档。 |
| **功能** | Haskell 具有标准特性和参数多态性。 | Scala 具有不变性、并发控制、类型推断等等。 |
| **社区** | Haskell 社区拥有大量的软件开发人员。 | 与哈斯克尔相比，Scala 社区中的开发人员较少。 |

</figure>