# Scala vs Java

> 原文:[https://www.geeksforgeeks.org/scala-vs-java/](https://www.geeksforgeeks.org/scala-vs-java/)

Java 是一种通用的计算机编程语言，具有并发性、基于类、面向对象等特点。Java 应用程序被编译成字节码，可以在任何 Java 虚拟机(JVM)上运行，而不管计算机架构如何。

Scala 是一种通用、高级、多范式的编程语言。它是一种纯面向对象的编程语言，也为函数式编程方法提供了支持。在 Scala 中，没有原始数据的概念，因为一切都是对象。它旨在以精炼、简洁和类型安全的方式表达一般的编程模式。

*下面是 Scala 和 Java 的一些主要区别:*

| 斯卡拉 | Java 语言(一种计算机语言，尤用于创建网站) |
| Scala 是面向对象和函数式编程的混合。 | Java 是一种通用的面向对象语言。 |
| 由于嵌套代码，Scala 可读性较差。 | Java 可读性更强。 |
| 将源代码编译成字节代码的过程很慢。 | 将源代码编译成字节码的过程很快。 |
| Scala 支持运算符重载。 | Java 不支持运算符重载。 |
| Scala 支持惰性评估。 | Java 不支持惰性计算。 |
| Scala 不是向后兼容的。 | Java 向后兼容意味着新版本中编写的代码也可以在旧版本中运行，没有任何错误。 |
| Scala 中存在的任何方法或函数都被视为变量。 | Java 将函数视为一个对象。 |
| 在 Scala 中，代码是以紧凑的形式编写的。 | 在 Java 中，代码是以长形式编写的。 |
| Scala 变量默认为不可变类型。 | 默认情况下，Java 变量是可变类型的。 |
| Scala 把所有的东西都当作类的实例，与 Java 相比，它更像是面向对象的语言。 | 由于原语和静态存在，Java 与 Scala 相比不太面向对象。 |
| Scala 不包含静态关键字。 | Java 包含静态关键字。 |
| 在 Scala 中，对实体的所有操作都是通过使用方法调用来完成的。 | 在 Java 中，运算符被区别对待，并且不是通过方法调用来完成的。 |